### Type parameters

- #### T

### Hierarchy

- CustomBitSet
  - SpriteBitSet

## Index

### Constructors

- constructor

### Properties

- bitSet

### Methods

- add
- addAll
- containsAll
- containsAny
- containsNone
- has
- indexOf
- isEmpty
- remove

## Constructors

### constructor

- new CustomBitSet(items?: Iterable<T>, bitSet?: BitSet): CustomBitSet

- - Defined in spriteBitSet.ts:8

  #### Parameters

  - ##### Optional items: Iterable<T>

  - ##### Optional bitSet: BitSet

  #### Returns CustomBitSet

## Properties

### Protected bitSet

bitSet: BitSet

- Defined in spriteBitSet.ts:8

## Methods

### add

- add(item: T): void

- - Defined in spriteBitSet.ts:43

  #### Parameters

  - ##### item: T

  #### Returns void

### addAll

- addAll(items: Iterable<T>): void

- - Defined in spriteBitSet.ts:30

  #### Parameters

  - ##### items: Iterable<T>

  #### Returns void

### containsAll

- containsAll(other: CustomBitSet<T>): boolean

- - Defined in spriteBitSet.ts:55

  #### Parameters

  - ##### other: CustomBitSet<T>

  #### Returns boolean

### containsAny

- containsAny(other: CustomBitSet<T>): boolean

- - Defined in spriteBitSet.ts:59

  #### Parameters

  - ##### other: CustomBitSet<T>

  #### Returns boolean

### containsNone

- containsNone(other: CustomBitSet<T>): any

- - Defined in spriteBitSet.ts:63

  #### Parameters

  - ##### other: CustomBitSet<T>

  #### Returns any

### has

- has(item: T): boolean

- - Defined in spriteBitSet.ts:51

  #### Parameters

  - ##### item: T

  #### Returns boolean

### Protected Abstract indexOf

- indexOf(item: T): number

- - Defined in spriteBitSet.ts:67

  #### Parameters

  - ##### item: T

  #### Returns number

### isEmpty

- isEmpty(): any

- - Defined in spriteBitSet.ts:26

  #### Returns any

### remove

- remove(item: T): void

- - Defined in spriteBitSet.ts:47

  #### Parameters

  - ##### item: T

  #### Returns void

Generated using TypeDoc